Débloquer les messages privés
curl --request POST \
--url https://api.x.com/2/users/{id}/dm/unblock \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/dm/unblock"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/dm/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"blocked": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Blocages
Débloquer les messages privés
Débloque les messages privés entre l’utilisateur authentifié et un utilisateur spécifique identifié par son ID.
POST
/
2
/
users
/
{id}
/
dm
/
unblock
Débloquer les messages privés
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de l’utilisateur cible pour lequel l’utilisateur authentifié demande le déblocage des messages privés. Identifiant unique de cet utilisateur. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les problèmes avec les langages et outils qui ne prennent pas en charge les entiers de grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"2244994945"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes